<form
  class="mat-elevation-z8"
  [formGroup]="checkDomainForm"
  (ngSubmit)="checkDomain()"
>
  <h3>Single Domain Name Checker</h3>
  <mat-form-field appearance="outline">
    <mat-label>Domain Name</mat-label>
    <input
      formControlName="domain"
      matInput
      placeholder="Enter the name to be checked."
    />
    <mat-icon matSuffix>domain</mat-icon>
    <mat-hint>Ex: iwantthisdomain.com</mat-hint>
    <mat-error *ngIf="checkDomainForm.controls.domain.errors">
      Please enter a domain name (Ex: mybusinessname.com)
    </mat-error>
  </mat-form-field>
  <mat-form-field appearance="outline">
    <mat-label>TLD (Optional)</mat-label>
    <mat-select formControlName="topLevelDomain">
      <mat-option *ngFor="let tld of tlds" [value]="tld">{{ tld }}</mat-option>
    </mat-select>
    <mat-hint>TLD is the com in google.com</mat-hint>
  </mat-form-field>
  <button mat-raised-button color="primary">Check</button>
  <h4
    *ngIf="response"
    [ngStyle]="{ padding: '1rem', border: '1px dotted blue' }"
  >
    <h3>Results:</h3>
    <app-item
      [domain]="setDisplayMessage(response)"
      [showRegisterButton]="response.available"
      [showAddToScratchboxButton]="false"
    ></app-item>
  </h4>
</form>
